Update Time Record
curl --request PUT \
--url https://api.everhour.com/time/{time_id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"time": 3600,
"date": "2018-01-20",
"task": "ev:3000010034",
"user": 1304,
"comment": "some notes"
}
'import requests
url = "https://api.everhour.com/time/{time_id}"
payload = {
"time": 3600,
"date": "2018-01-20",
"task": "ev:3000010034",
"user": 1304,
"comment": "some notes"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time: 3600,
date: '2018-01-20',
task: 'ev:3000010034',
user: 1304,
comment: 'some notes'
})
};
fetch('https://api.everhour.com/time/{time_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2660155,
"time": 3600,
"user": 1304,
"date": "2018-01-20",
"task": {
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"status": "open",
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
}
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": true
},
"isLocked": false,
"isInvoiced": false,
"comment": "some notes",
"history": [
{
"id": 4622379,
"createdBy": 1304,
"time": 3600,
"previousTime": 0,
"action": "TIMER",
"createdAt": "2018-01-16 12:42:59"
}
],
"createdAt": "<string>",
"warning": {},
"lockReasons": [
"<string>"
],
"website": {
"url": "<string>",
"title": "<string>"
}
}Time Records
Update Time Record
Update a specific time record by ID. To add or upsert time, use POST /time instead.
PUT
/
time
/
{time_id}
Update Time Record
Authorizations
Path Parameters
ID of Task Time
Example:
8006001
Body
application/json
Response
OK
Time record ID
Example:
2660155
Time recorded in seconds
Example:
3600
User ID
Example:
1304
Date
Example:
"2018-01-20"
Show child attributes
Show child attributes
Example:
false
Example:
false
Example:
"some notes"
Show child attributes
Show child attributes
Format: Y-m-d H:i:s
Validation warning, if any.
Reasons the record is locked, if any.
Show child attributes
Show child attributes
⌘I
